/**         @file  mkmodule.c
 *         @brief Sample module for unit testing
 *          @date  31/01/2024
 *        @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *     @copyright  Copyright (c) 2024, François Cerbelle
 *
 *   @internal
 *       Compiler  gcc
 *  Last modified  2024-07-31 19:12
 *   Organization  Cerbelle.net
 *        Company  Home
 *
 *   This source code is released for free distribution under the terms of the
 *   GNU General Public License as published by the Free Software Foundation.
 */

#include "mkmod.h"

#include <stdio.h>

#include "debug/assert.h"
#include "debug/memory.h"

#if 0
/* List exposed module functions */static void mkmod_function();
mkmod_api_t module_api = {
    mkmod_function
};
#endif

static moduleinfo_t moduleinfo = {
    "MyModule",
    "MyModule description",
    0,
    1,
    0,
    "First and Lastname",
    "email@address.tld",
    "http://www.mymodule.com",
    "GPLv3"
};

moduleinfo_t* onLoad ()
{
    DBG_TRACE;
    return &moduleinfo;
}

uint8_t onUnload()
{
    DBG_TRACE;
    return 0;
}
#if 0
static void mkmod_function()
{
    DBG_TRACE;
}
#endif
